### Virtual Method

# Gtk CellRenderer start_editing

#### Declaration [src]

    GtkCellEditable*
    start_editing (
      GtkCellRenderer* cell,
      GdkEvent* event,
      GtkWidget* widget,
      const char* path,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Starts editing the contents of this `cell`, through a new `GtkCellEditable` widget created by the `GtkCellRenderer`Class.start_editing virtual function.

#### Parameters

`event` | `GdkEvent*`
| A `GdkEvent`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| Widget that received the event.
| The data is owned by the caller of the function.
`path` | `const char*`
| Widget-dependent string representation of the event location; e.g. for `GtkTreeView`, a string representation of `GtkTreePath`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`background_area` | `const GdkRectangle*`
| Background area as passed to gtk_cell_renderer_render().
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| Cell area as passed to gtk_cell_renderer_render().
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| Render flags.

#### Return value

Returns: | `GtkCellEditable`
| A new `GtkCellEditable` for editing this `cell`, or `NULL` if editing is not possible.
| The data is owned by the called function.
| The return value can be `NULL`.